%define vname gnome-build
%define ver_major 2.24
%define _unpackaged_files_terminate_build 1

Name: lib%vname
Version: %ver_major.1
Release: alt1

Summary: Automake/conf-based project managing framework for GNOME
License: %gpl2plus
Group: Development/GNOME and GTK+

Url: http://www.gnome.org/projects/devtools/gnomebuild.shtml
Packager: GNOME Maintainers Team <gnome at packages.altlinux.org>

Source: %gnome_ftp/%vname/%ver_major/%vname-%version.tar.bz2
Patch: %vname-0.1.3-fixperl.patch

BuildPreReq: rpm-build-gnome rpm-build-licenses

BuildPreReq: intltool >= 0.35.0
BuildPreReq: libgtk+2-devel >= 2.3.0
BuildPreReq: libgnomeui-devel >= 2.3.3
BuildPreReq: libbonoboui-devel >= 2.3.3
BuildPreReq: libxml2-devel >= 2.5.8
BuildPreReq: gnome-vfs-devel >= 2.3.5
BuildPreReq: libglade-devel >= 2.0.1
BuildPreReq: libgdl-devel >= 2.23.0
BuildPreReq: libgio-devel >= 2.16.0
BuildPreReq: gnome-common
BuildPreReq: perl-Locale-gettext
BuildRequires: libSM-devel libpopt-devel zlib-devel

Provides: perl(GBF/AmFiles.pm) perl(GBF/General.pm) perl(GBF/Make.pm)
Provides: %vname = %version

%description
Gnome-build is a GObject-based framework for managing projects and
specifically automake/conf-based projects.  It can parse the
configure.in and Makefile.am files to build an internal XML
representation of the project.

%package devel
Summary: Header and development for Gnome Build Framework
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%description devel
Gnome-build is a GObject-based framework for managing projects and
specifically automake/conf-based projects.  It can parse the
configure.in and Makefile.am files to build an internal XML
representation of the project.

This package contains header files and various development files for
compiling or developing applications that need Gnome-build Framework.

%prep
%setup -q -n %vname-%version
%patch -p0

%build
%autoreconf
%configure --disable-static
%make

%install
%make_install DESTDIR=%buildroot install

%find_lang gbf-1

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files -f gbf-1.lang
%doc AUTHORS MAINTAINERS
%_bindir/*
%_pixmapsdir/*
%_datadir/%vname
%_libdir/%vname-1.0
%_libdir/lib*.so.*

%files devel
%doc ChangeLog
%_includedir/*
%_libdir/lib*.so
%_pkgconfigdir/*.pc

%changelog
* Thu Nov 06 2008 Alexey Rusakov <ktirf@altlinux.org> 2.24.1-alt1
- New version (2.24.1).
- Added Packager tag.
- Added autoreconf invocation since *.in files appear to be screwed up.

* Tue Jun 17 2008 Alexey Rusakov <ktirf@altlinux.org> 0.3.0-alt1
- New version (0.3.0).

* Tue Feb 26 2008 Alexey Rusakov <ktirf@altlinux.org> 0.2.3-alt1
- New version (0.2.3).
- Updated dependencies.

* Tue Jan 29 2008 Alexey Rusakov <ktirf@altlinux.org> 0.2.1-alt1
- New version (0.2.1).

* Wed Sep 05 2007 Alexey Rusakov <ktirf@altlinux.org> 0.2.0-alt1
- new version (0.2.0)
- use more macros

* Mon Jun 25 2007 Alexey Rusakov <ktirf@altlinux.org> 0.1.7-alt1
- new version 0.1.7 (with rpmrb script)

* Fri May 11 2007 Alexey Rusakov <ktirf@altlinux.org> 0.1.6-alt1
- new version (0.1.6)

* Tue Apr 03 2007 Alexey Rusakov <ktirf@altlinux.org> 0.1.5-alt1
- new version (0.1.5)
- _unpackaged_files_terminate_build from now on

* Wed Feb 07 2007 Alexey Rusakov <ktirf@altlinux.org> 0.1.4-alt1
- new version (0.1.4)

* Thu May 18 2006 Alexey Rusakov <ktirf@altlinux.ru> 0.1.3-alt2
- fixed incorrect dependency of the binary package.

* Tue May 16 2006 Alexey Rusakov <ktirf@altlinux.ru> 0.1.3-alt1
- new version (0.1.3)
- urlified Source field to please etersoft-build-utils.
- updated fixperl patch.

* Sun Apr 09 2006 Alexey Rusakov <ktirf@altlinux.ru> 0.1.2-alt2
- fixed dependencies for X.org 7.0
- spec cleanup.

* Thu Jun 30 2005 Alexey Rusakov <ktirf@altlinux.ru> 0.1.2-alt1
- New upstream version.

* Mon May 16 2005 Alexey Rusakov <ktirf@altlinux.ru> 0.1.1-alt1
- New upstream version.
- Switched from CVS to tarball sources.

* Sun Feb 20 2005 Vladimir Lettiev <crux@altlinux.ru> 0.1.0-alt1.1.cvs20040220
- version from cvs

* Fri Feb 18 2005 Vladimir Lettiev <crux@altlinux.ru> 0.1.0-alt1
- Initial build for ALTLinux Sisyphus

